{% load i18n medux %}
<div class="card table-responsive mb-3" id="time-balances">
    <div class="card-header">
        <h3 class="card-title">{% translate 'Time credit balances' %}</h3>
    </div>

    <div class="table-responsive">
        <table class="table">
            <thead>
            <tr>
                <th>{% translate 'Date' %}</th>
                <th>{% translate 'Accounting month' %}</th>
                <th>{% translate 'Entry' context "time entry, posting" %}</th>
                <th>{% translate 'Comment' %}</th>
                <th>{% translate 'Balance' %}</th>
            </tr>
            </thead>
            <tbody>
            {% for object in object_list %}
                <tr>
                    <td>{{ object.created|date }}</td>
                    <td>{% if object.time_billing %}
                      <a href="{% url 'timetracker:timeentry:month-list' object.time_billing.month.year object.time_billing.month.month %}">
                        {{ object.time_billing.month.month|month_name }} {{ object.time_billing.month.year }}
                      </a>
                    {% else %}
                      -
                    {% endif %}
                    </td>
                    <td>{{ object.time_delta|as_hours|floatformat:2|prefix_plus }} h</td>
                    <td>{{ object.comment|default:"" }}</td>
                    <td>{{ object.balance|as_hours|floatformat:2|prefix_plus }} h</td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
</div>
